Bug 571399

Summary: Evince fails to render a pdf with transparency
Product: [Fedora] Fedora Reporter: D.S. Ljungmark <spider>
Component: cairoAssignee: Benjamin Otte <otte>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: mkasik, otte
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-02 11:21:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description D.S. Ljungmark 2010-03-08 07:46:39 EST
Description of problem:
http://www.deklomp.se/nyhetsblad/Nyhetsblad14.pdf  renders badly compared to the Adobe tools.

Version-Release number of selected component (if applicable):
evince-2.28.2-1.fc12.i686
evince-libs-2.28.2-1.fc12.i686
poppler-0.12.4-1.fc12.i686

How reproducible:
Load file, compare with windows tools.

Actual results:
White squares in the document

Expected results:


Additional info:
Comment 1 Bug Zapper 2010-11-03 16:28:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marek Kašík 2010-11-26 05:59:21 EST
Hi,

this is still valid in Fedora 13 but I see now that it is a bug in cairo (it is a missing feature more likely). I've bisected cairo git repository to commit 0fd944d4bfbc2fff9960378eafd18a7d8fb9f296 - "Use new pixman extended blend operators". The commit fixes this for me.

Regards

Marek
Comment 3 Benjamin Otte 2010-12-02 04:31:08 EST
Yeah, the blend modes were only introduced in Cairo 1.10 (and poppler versions requiring that Cairo version). So if it is indeed those (and the PDF looks fine on my F14, we can close this as CURRENTRELEASE I guess?
Comment 4 Marek Kašík 2010-12-02 09:06:25 EST
If you don't plan to backport it to Fedora 13 then yes, we can close it. But I would use NEXTRELEASE resolution.

Marek
Comment 5 Benjamin Otte 2010-12-02 11:21:50 EST
Nope, I don't intend to port Cairo 1.10 features into Cairo 1.8.